Page MenuHomePhabricator

[Sema] PR26444 fix crash when alignment value is >= 2**16
ClosedPublic

Authored by hintonda on Feb 14 2016, 2:50 PM.

Details

Summary

Sema allows max values up to 2**28, use unsigned instead of unsiged
short to hold values that large.

Diff Detail

Event Timeline

hintonda updated this revision to Diff 47935.Feb 14 2016, 2:50 PM
hintonda retitled this revision from to [Sema] PR26444 fix crash when alignment value is <= 2**16.
hintonda updated this object.
hintonda added a reviewer: majnemer.
hintonda added a subscriber: cfe-commits.
hintonda retitled this revision from [Sema] PR26444 fix crash when alignment value is <= 2**16 to [Sema] PR26444 fix crash when alignment value is >= 2**16.Feb 15 2016, 6:11 AM
hintonda updated this revision to Diff 48742.Feb 22 2016, 3:36 PM

Added comment
Added comment to test file.

majnemer accepted this revision.Feb 22 2016, 4:03 PM
majnemer edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 22 2016, 4:03 PM

Thanks David. Btw, could you commit it for me? I don't have commit access.

I don't have commit access, so could someone commit for me. Thanks...

majnemer closed this revision.Mar 7 2016, 9:08 AM

I committed this a few days ago in rL262466. Closing this differential.

Great, thanks David.